<?php

/*
 * easysms
 */

return [
    // HTTP 请求的超时时间（秒）
    'timeout' => 5.0,

    // 默认发送配置
    'default' => [
        // 网关调用策略，默认：顺序调用
        'strategy' => \Overtrue\EasySms\Strategies\OrderStrategy::class,
        // 默认可用的发送网关
        'gateways' => [
//            'qcloud',
            'aliyun'
        ],
    ],
    // 可用的网关配置
    'gateways' => [
        'errorlog' => [
            'file' => storage_path('logs/east-sms.log'),
        ],
        'qcloud' => [
            'sdk_app_id' => '1400234987', // SDK APP ID
            'app_key' => '3631dce767a6f2944971336c681f76d0', // APP KEY
            'sign_name' => '', // 短信签名，如果使用默认签名，该字段可缺省（对应官方文档中的sign）
        ],
        'aliyun' => [
            'access_key_id' => 'LTAI4FgJdnfwsj5Bb6ioWSD9',
            'access_key_secret' => 'S4Tp2eNVKHROuNOLjTvAICTnjqXFFR',
            'sign_name' => '思维定制',
        ],
    ],
];
