<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection log_name
     * @property Grid\Column|Collection subject_type
     * @property Grid\Column|Collection subject_id
     * @property Grid\Column|Collection causer_type
     * @property Grid\Column|Collection causer_id
     * @property Grid\Column|Collection properties
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection img_url
     * @property Grid\Column|Collection site
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection to_user_id
     * @property Grid\Column|Collection last_msg
     * @property Grid\Column|Collection last_time
     * @property Grid\Column|Collection atime
     * @property Grid\Column|Collection un_read
     * @property Grid\Column|Collection list_id
     * @property Grid\Column|Collection MsgType
     * @property Grid\Column|Collection MsgContent
     * @property Grid\Column|Collection MsgTimeStamp
     * @property Grid\Column|Collection is_read
     * @property Grid\Column|Collection code
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection zan_num
     * @property Grid\Column|Collection tag
     * @property Grid\Column|Collection city
     * @property Grid\Column|Collection latitude
     * @property Grid\Column|Collection longitude
     * @property Grid\Column|Collection hot
     * @property Grid\Column|Collection dynamic_id
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection users
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection order_no
     * @property Grid\Column|Collection price
     * @property Grid\Column|Collection payment
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection event
     * @property Grid\Column|Collection sms_code
     * @property Grid\Column|Collection verify_key
     * @property Grid\Column|Collection sms_result
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection tencent_im_user_id
     * @property Grid\Column|Collection sex
     * @property Grid\Column|Collection is_vip
     * @property Grid\Column|Collection is_auth
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection ycode
     * @property Grid\Column|Collection last_login_time
     * @property Grid\Column|Collection last_login_ip
     * @property Grid\Column|Collection online
     * @property Grid\Column|Collection notice_status
     * @property Grid\Column|Collection like_num
     * @property Grid\Column|Collection like_me_num
     * @property Grid\Column|Collection look_num
     * @property Grid\Column|Collection lock_pass
     * @property Grid\Column|Collection black_id
     * @property Grid\Column|Collection comment_id
     * @property Grid\Column|Collection con1
     * @property Grid\Column|Collection con2
     * @property Grid\Column|Collection con3
     * @property Grid\Column|Collection con4
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection birthday
     * @property Grid\Column|Collection height
     * @property Grid\Column|Collection weight
     * @property Grid\Column|Collection work
     * @property Grid\Column|Collection info
     * @property Grid\Column|Collection area
     * @property Grid\Column|Collection area_code
     * @property Grid\Column|Collection figure
     * @property Grid\Column|Collection feeling
     * @property Grid\Column|Collection education
     * @property Grid\Column|Collection income
     * @property Grid\Column|Collection hobby
     * @property Grid\Column|Collection drink
     * @property Grid\Column|Collection smoke
     * @property Grid\Column|Collection photo
     * @property Grid\Column|Collection video
     * @property Grid\Column|Collection weixin
     * @property Grid\Column|Collection invite_id
     * @property Grid\Column|Collection day
     * @property Grid\Column|Collection like_id
     * @property Grid\Column|Collection look_id
     * @property Grid\Column|Collection reply
     * @property Grid\Column|Collection report_id
     * @property Grid\Column|Collection is_delete
     * @property Grid\Column|Collection user
     * @property Grid\Column|Collection dynamic
     * @property Grid\Column|Collection user_detail
     * @property Grid\Column|Collection user_info
     * @property Grid\Column|Collection end_day
     * @property Grid\Column|Collection day_price
     * @property Grid\Column|Collection rights
     * @property Grid\Column|Collection chat
     * @property Grid\Column|Collection is_destroy
     * @property Grid\Column|Collection identity
     * @property Grid\Column|Collection invisible
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection log_name(string $label = null)
     * @method Grid\Column|Collection subject_type(string $label = null)
     * @method Grid\Column|Collection subject_id(string $label = null)
     * @method Grid\Column|Collection causer_type(string $label = null)
     * @method Grid\Column|Collection causer_id(string $label = null)
     * @method Grid\Column|Collection properties(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection img_url(string $label = null)
     * @method Grid\Column|Collection site(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection to_user_id(string $label = null)
     * @method Grid\Column|Collection last_msg(string $label = null)
     * @method Grid\Column|Collection last_time(string $label = null)
     * @method Grid\Column|Collection atime(string $label = null)
     * @method Grid\Column|Collection un_read(string $label = null)
     * @method Grid\Column|Collection list_id(string $label = null)
     * @method Grid\Column|Collection MsgType(string $label = null)
     * @method Grid\Column|Collection MsgContent(string $label = null)
     * @method Grid\Column|Collection MsgTimeStamp(string $label = null)
     * @method Grid\Column|Collection is_read(string $label = null)
     * @method Grid\Column|Collection code(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection zan_num(string $label = null)
     * @method Grid\Column|Collection tag(string $label = null)
     * @method Grid\Column|Collection city(string $label = null)
     * @method Grid\Column|Collection latitude(string $label = null)
     * @method Grid\Column|Collection longitude(string $label = null)
     * @method Grid\Column|Collection hot(string $label = null)
     * @method Grid\Column|Collection dynamic_id(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection users(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection order_no(string $label = null)
     * @method Grid\Column|Collection price(string $label = null)
     * @method Grid\Column|Collection payment(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection event(string $label = null)
     * @method Grid\Column|Collection sms_code(string $label = null)
     * @method Grid\Column|Collection verify_key(string $label = null)
     * @method Grid\Column|Collection sms_result(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection tencent_im_user_id(string $label = null)
     * @method Grid\Column|Collection sex(string $label = null)
     * @method Grid\Column|Collection is_vip(string $label = null)
     * @method Grid\Column|Collection is_auth(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection ycode(string $label = null)
     * @method Grid\Column|Collection last_login_time(string $label = null)
     * @method Grid\Column|Collection last_login_ip(string $label = null)
     * @method Grid\Column|Collection online(string $label = null)
     * @method Grid\Column|Collection notice_status(string $label = null)
     * @method Grid\Column|Collection like_num(string $label = null)
     * @method Grid\Column|Collection like_me_num(string $label = null)
     * @method Grid\Column|Collection look_num(string $label = null)
     * @method Grid\Column|Collection lock_pass(string $label = null)
     * @method Grid\Column|Collection black_id(string $label = null)
     * @method Grid\Column|Collection comment_id(string $label = null)
     * @method Grid\Column|Collection con1(string $label = null)
     * @method Grid\Column|Collection con2(string $label = null)
     * @method Grid\Column|Collection con3(string $label = null)
     * @method Grid\Column|Collection con4(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection birthday(string $label = null)
     * @method Grid\Column|Collection height(string $label = null)
     * @method Grid\Column|Collection weight(string $label = null)
     * @method Grid\Column|Collection work(string $label = null)
     * @method Grid\Column|Collection info(string $label = null)
     * @method Grid\Column|Collection area(string $label = null)
     * @method Grid\Column|Collection area_code(string $label = null)
     * @method Grid\Column|Collection figure(string $label = null)
     * @method Grid\Column|Collection feeling(string $label = null)
     * @method Grid\Column|Collection education(string $label = null)
     * @method Grid\Column|Collection income(string $label = null)
     * @method Grid\Column|Collection hobby(string $label = null)
     * @method Grid\Column|Collection drink(string $label = null)
     * @method Grid\Column|Collection smoke(string $label = null)
     * @method Grid\Column|Collection photo(string $label = null)
     * @method Grid\Column|Collection video(string $label = null)
     * @method Grid\Column|Collection weixin(string $label = null)
     * @method Grid\Column|Collection invite_id(string $label = null)
     * @method Grid\Column|Collection day(string $label = null)
     * @method Grid\Column|Collection like_id(string $label = null)
     * @method Grid\Column|Collection look_id(string $label = null)
     * @method Grid\Column|Collection reply(string $label = null)
     * @method Grid\Column|Collection report_id(string $label = null)
     * @method Grid\Column|Collection is_delete(string $label = null)
     * @method Grid\Column|Collection user(string $label = null)
     * @method Grid\Column|Collection dynamic(string $label = null)
     * @method Grid\Column|Collection user_detail(string $label = null)
     * @method Grid\Column|Collection user_info(string $label = null)
     * @method Grid\Column|Collection end_day(string $label = null)
     * @method Grid\Column|Collection day_price(string $label = null)
     * @method Grid\Column|Collection rights(string $label = null)
     * @method Grid\Column|Collection chat(string $label = null)
     * @method Grid\Column|Collection is_destroy(string $label = null)
     * @method Grid\Column|Collection identity(string $label = null)
     * @method Grid\Column|Collection invisible(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection log_name
     * @property Show\Field|Collection subject_type
     * @property Show\Field|Collection subject_id
     * @property Show\Field|Collection causer_type
     * @property Show\Field|Collection causer_id
     * @property Show\Field|Collection properties
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection img_url
     * @property Show\Field|Collection site
     * @property Show\Field|Collection status
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection to_user_id
     * @property Show\Field|Collection last_msg
     * @property Show\Field|Collection last_time
     * @property Show\Field|Collection atime
     * @property Show\Field|Collection un_read
     * @property Show\Field|Collection list_id
     * @property Show\Field|Collection MsgType
     * @property Show\Field|Collection MsgContent
     * @property Show\Field|Collection MsgTimeStamp
     * @property Show\Field|Collection is_read
     * @property Show\Field|Collection code
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection content
     * @property Show\Field|Collection zan_num
     * @property Show\Field|Collection tag
     * @property Show\Field|Collection city
     * @property Show\Field|Collection latitude
     * @property Show\Field|Collection longitude
     * @property Show\Field|Collection hot
     * @property Show\Field|Collection dynamic_id
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection users
     * @property Show\Field|Collection email
     * @property Show\Field|Collection token
     * @property Show\Field|Collection order_no
     * @property Show\Field|Collection price
     * @property Show\Field|Collection payment
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection event
     * @property Show\Field|Collection sms_code
     * @property Show\Field|Collection verify_key
     * @property Show\Field|Collection sms_result
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection tencent_im_user_id
     * @property Show\Field|Collection sex
     * @property Show\Field|Collection is_vip
     * @property Show\Field|Collection is_auth
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection ycode
     * @property Show\Field|Collection last_login_time
     * @property Show\Field|Collection last_login_ip
     * @property Show\Field|Collection online
     * @property Show\Field|Collection notice_status
     * @property Show\Field|Collection like_num
     * @property Show\Field|Collection like_me_num
     * @property Show\Field|Collection look_num
     * @property Show\Field|Collection lock_pass
     * @property Show\Field|Collection black_id
     * @property Show\Field|Collection comment_id
     * @property Show\Field|Collection con1
     * @property Show\Field|Collection con2
     * @property Show\Field|Collection con3
     * @property Show\Field|Collection con4
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection birthday
     * @property Show\Field|Collection height
     * @property Show\Field|Collection weight
     * @property Show\Field|Collection work
     * @property Show\Field|Collection info
     * @property Show\Field|Collection area
     * @property Show\Field|Collection area_code
     * @property Show\Field|Collection figure
     * @property Show\Field|Collection feeling
     * @property Show\Field|Collection education
     * @property Show\Field|Collection income
     * @property Show\Field|Collection hobby
     * @property Show\Field|Collection drink
     * @property Show\Field|Collection smoke
     * @property Show\Field|Collection photo
     * @property Show\Field|Collection video
     * @property Show\Field|Collection weixin
     * @property Show\Field|Collection invite_id
     * @property Show\Field|Collection day
     * @property Show\Field|Collection like_id
     * @property Show\Field|Collection look_id
     * @property Show\Field|Collection reply
     * @property Show\Field|Collection report_id
     * @property Show\Field|Collection is_delete
     * @property Show\Field|Collection user
     * @property Show\Field|Collection dynamic
     * @property Show\Field|Collection user_detail
     * @property Show\Field|Collection user_info
     * @property Show\Field|Collection end_day
     * @property Show\Field|Collection day_price
     * @property Show\Field|Collection rights
     * @property Show\Field|Collection chat
     * @property Show\Field|Collection is_destroy
     * @property Show\Field|Collection identity
     * @property Show\Field|Collection invisible
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection log_name(string $label = null)
     * @method Show\Field|Collection subject_type(string $label = null)
     * @method Show\Field|Collection subject_id(string $label = null)
     * @method Show\Field|Collection causer_type(string $label = null)
     * @method Show\Field|Collection causer_id(string $label = null)
     * @method Show\Field|Collection properties(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection img_url(string $label = null)
     * @method Show\Field|Collection site(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection to_user_id(string $label = null)
     * @method Show\Field|Collection last_msg(string $label = null)
     * @method Show\Field|Collection last_time(string $label = null)
     * @method Show\Field|Collection atime(string $label = null)
     * @method Show\Field|Collection un_read(string $label = null)
     * @method Show\Field|Collection list_id(string $label = null)
     * @method Show\Field|Collection MsgType(string $label = null)
     * @method Show\Field|Collection MsgContent(string $label = null)
     * @method Show\Field|Collection MsgTimeStamp(string $label = null)
     * @method Show\Field|Collection is_read(string $label = null)
     * @method Show\Field|Collection code(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection zan_num(string $label = null)
     * @method Show\Field|Collection tag(string $label = null)
     * @method Show\Field|Collection city(string $label = null)
     * @method Show\Field|Collection latitude(string $label = null)
     * @method Show\Field|Collection longitude(string $label = null)
     * @method Show\Field|Collection hot(string $label = null)
     * @method Show\Field|Collection dynamic_id(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection users(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection order_no(string $label = null)
     * @method Show\Field|Collection price(string $label = null)
     * @method Show\Field|Collection payment(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection event(string $label = null)
     * @method Show\Field|Collection sms_code(string $label = null)
     * @method Show\Field|Collection verify_key(string $label = null)
     * @method Show\Field|Collection sms_result(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection tencent_im_user_id(string $label = null)
     * @method Show\Field|Collection sex(string $label = null)
     * @method Show\Field|Collection is_vip(string $label = null)
     * @method Show\Field|Collection is_auth(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection ycode(string $label = null)
     * @method Show\Field|Collection last_login_time(string $label = null)
     * @method Show\Field|Collection last_login_ip(string $label = null)
     * @method Show\Field|Collection online(string $label = null)
     * @method Show\Field|Collection notice_status(string $label = null)
     * @method Show\Field|Collection like_num(string $label = null)
     * @method Show\Field|Collection like_me_num(string $label = null)
     * @method Show\Field|Collection look_num(string $label = null)
     * @method Show\Field|Collection lock_pass(string $label = null)
     * @method Show\Field|Collection black_id(string $label = null)
     * @method Show\Field|Collection comment_id(string $label = null)
     * @method Show\Field|Collection con1(string $label = null)
     * @method Show\Field|Collection con2(string $label = null)
     * @method Show\Field|Collection con3(string $label = null)
     * @method Show\Field|Collection con4(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection birthday(string $label = null)
     * @method Show\Field|Collection height(string $label = null)
     * @method Show\Field|Collection weight(string $label = null)
     * @method Show\Field|Collection work(string $label = null)
     * @method Show\Field|Collection info(string $label = null)
     * @method Show\Field|Collection area(string $label = null)
     * @method Show\Field|Collection area_code(string $label = null)
     * @method Show\Field|Collection figure(string $label = null)
     * @method Show\Field|Collection feeling(string $label = null)
     * @method Show\Field|Collection education(string $label = null)
     * @method Show\Field|Collection income(string $label = null)
     * @method Show\Field|Collection hobby(string $label = null)
     * @method Show\Field|Collection drink(string $label = null)
     * @method Show\Field|Collection smoke(string $label = null)
     * @method Show\Field|Collection photo(string $label = null)
     * @method Show\Field|Collection video(string $label = null)
     * @method Show\Field|Collection weixin(string $label = null)
     * @method Show\Field|Collection invite_id(string $label = null)
     * @method Show\Field|Collection day(string $label = null)
     * @method Show\Field|Collection like_id(string $label = null)
     * @method Show\Field|Collection look_id(string $label = null)
     * @method Show\Field|Collection reply(string $label = null)
     * @method Show\Field|Collection report_id(string $label = null)
     * @method Show\Field|Collection is_delete(string $label = null)
     * @method Show\Field|Collection user(string $label = null)
     * @method Show\Field|Collection dynamic(string $label = null)
     * @method Show\Field|Collection user_detail(string $label = null)
     * @method Show\Field|Collection user_info(string $label = null)
     * @method Show\Field|Collection end_day(string $label = null)
     * @method Show\Field|Collection day_price(string $label = null)
     * @method Show\Field|Collection rights(string $label = null)
     * @method Show\Field|Collection chat(string $label = null)
     * @method Show\Field|Collection is_destroy(string $label = null)
     * @method Show\Field|Collection identity(string $label = null)
     * @method Show\Field|Collection invisible(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     * @method $this code(...$params)
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
